Skip to main content Skip to footer
Contactless Curbside Pickup and in-store shopping available at select locations   Get Details
  •  Español 877-687-5402
  • Stores

PSP Audioware PSP Xenon

Item #: 
1345569152605726460
Product Description:

PSP Xenon is a full band, dual-stage limiter plug-in featuring an integrated Leveler, advanced K-System metering and psychoacoustically optimized word length reduction. PSP Xenon offers 64-bit precision processing throughout its entire signal path, and can operate at sample rates up to 192kHz.Experience the pristine, transparent response and intuit...  Click To Read More About This Product

Out of Stock Online Please call or chat to check your local store inventory for this item.

Find a similar product below or contact us for a recommendation of a great alternative.

Call Us: 866-498-7882
Overview

PSP Xenon is a full band, dual-stage limiter plug-in featuring an integrated Leveler, advanced K-System metering and psychoacoustically optimized word length reduction. PSP Xenon offers 64-bit precision processing throughout its entire signal path, and can operate at sample rates up to 192kHz.

Experience the pristine, transparent response and intuitive design of this plug-in for yourself, and it just might become your "go to" limiter for mastering and other critical audio applications.

Features

  • Far more control over how the transients sound
  • Transparent results
  • Neat and tidy interface
  • Three dedicated transient-handling modes
  • Clear metering, including K-System support
Specifications
  • Due to technical limitations the PSP Xenon version 1.3.0 is available in the non ilok version only.
  • PC
    • VST
    • Windows x32 or x64 (XP Service Pack 2, Vista or 7)*
    • VST 2.4 compatible application
    • RTAS
    • Windows x32 or x64 (XP Service Pack 2, Vista or 7)*
    • ProTools LE 8.0.0 or ProTools TDM 8.0.0 (or later)
    Mac
    • AudioUnit
    • Mac OSX 10.5 or later*
    • 32 or 64-bit host application capable of running AudioUnit plug-ins with Cocoa view
    • VST
    • Mac OSX 10.5 or later*
    • 32 or 64-bit VST 2.4 compatible host application
    • RTAS
    • Mac OSX 10.4 or later*
    • ProTools LE 8.0.0 or ProTools TDM 8.0.0 (or later)*
    You are changing the Ship-To country.

    Our product catalog varies by country due to manufacturer restrictions. If you change the Ship-To country, some or all of the items in your cart may not ship to the new destination.